#include <bits/stdc++.h>

using namespace std;

int n, k, v[1e6], nr, i, j;

int main()
{
    cin >> n >> k;

    for ( i = 1; i <= n; i++ ) {
        cin >> v[i];
    }

    cout << "0";

    return 0;
}
